<template>
  <el-config-provider :locale="appStore.locale" :size="size">
    <router-view />
  </el-config-provider>
</template>

<script setup lang="ts">
import axios from 'axios';
import useSettingsStore from '@/store/modules/settings';
import { handleThemeStyle } from '@/utils/theme';
import useAppStore from '@/store/modules/app';
import { createUser } from '@/api/system/oss';
import { setToken, removeToken } from '@/utils/auth';
import usePermissionStore from '@/store/modules/permission';
import { isHttp } from '@/utils/validate';
const appStore = useAppStore();
const size = computed(() => appStore.size as any);

onMounted(async () => {
  await nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme);
  });
});
</script>
